package com.persagy.apm.diagnose.maintenance.model.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@Builder(toBuilder=true)
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class CreatePMDataDTO {
    private String groupCode;
    private String userId;
    private String pd;
    private String startTime;
    private String endTime;
}
