package com.persagy.apm.diagnose.config;

import com.persagy.framework.tenant.mybatis.datasource.db.config.TenantDataSourceDbProperties;
import com.persagy.framework.tenant.mybatis.datasource.db.provider.SimpleJdbcTenantProvider;
import com.persagy.framework.tenant.mybatis.datasource.db.provider.TenantProvider;
import org.springframework.boot.autoconfigure.jdbc.DataSourceProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.annotation.Resource;


@Configuration
public class TenantConfiguration {

    @Resource
    private DataSourceProperties dataSourceProperties;
    @Resource
    private TenantDataSourceDbProperties tenantBasicsProperties;

    @Bean
    public TenantProvider tenantProvider() {
        return new SimpleJdbcTenantProvider(tenantBasicsProperties,dataSourceProperties);
    }
}
