package com.persagy.apm.diagnose.service.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 集团信息
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "集团列表返回结果参数")
public class GroupVO {

    /**
     * 集团id
     */
    private String code;
    /**
     * 名称
     */
    private String name;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 备注
     */
    private String remark;

}